
Redmine - Defect #7171

github repository is broken

2010-12-24 15:43 - Philipp Führer

Status: Closed Start date: 2010-12-24

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

you can't clone from the github repository at git://github.com/edavis10/redmine.git

www interface of github also says, that the repository is broken

please repair, try to repush or something

History

#1 - 2010-12-24 17:29 - Felix Schäfer

- Priority changed from High to Low

The github mirror is not an official mirror, so I'm putting this to low. I've notified Eric though so he can have a look.

#2 - 2010-12-24 19:53 - Jim Burrows

Felix Schäfer wrote:

The github mirror is not an official mirror, so I'm putting this to low. I've notified Eric though so he can have a look.

 I'm sorry, but how was I to know that this was "not an official mirror" by reading this under "download":

or clone it from the git mirror hosted at GitHub:

the repository URL is: http://github.com/edavis10/redmine

This is the prefered way to get Redmine if you want to benefit from the latest improvements and be able to upgrade easily.

 It sounded moderately official to me. I'm deploying using Heroku which deploys using git and all of the tracked projects are git-based so the above

choice being one of the two alternatives listed as "the prefered way" seemed like the way to go.

#3 - 2010-12-27 10:40 - Felix Schäfer

Jim Burrows wrote:

I'm sorry, but how was I to know that this was "not an official mirror" by reading this under "download":

or clone it from the git mirror hosted at GitHub:

the repository URL is: http://github.com/edavis10/redmine

This is the prefered way to get Redmine if you want to benefit from the latest improvements and be able to upgrade easily.

 It sounded moderately official to me. I'm deploying using Heroku which deploys using git and all of the tracked projects are git-based so the

above choice being one of the two alternatives listed as "the prefered way" seemed like the way to go.

 I'm sorry if I sounded harsher than I intended to, but to make a long story short: it was an official mirror (mind you: mirror, not source). I'm not sure

how much energy Eric is still willing to pour into maintaining it, so I'll edit the install page to reflect the current state and let him change it as needed.

#4 - 2010-12-28 14:32 - Felix Schäfer

- Status changed from New to Closed
Ok, the github mirror is working again, at least for me, closing this issue.

#5 - 2010-12-29 01:35 - Eric Davis

It was a problem on Github's side.  I'll be maintaining the mirror as long as it doesn't affect my other work.  Even though I'm not working on the

Redmine core anymore, I still care about the community here which includes having a stable and automatic git mirror.

Powered by TCPDF (www.tcpdf.org)

2025-07-01 2/2

http://support.github.com/discussions/repos/5168-cannot-push-error-refsxxxxxx-does-not-point-to-a-valid-object-httpsgithubcomedavis10redmine
http://www.tcpdf.org

